---
description: Learn how to uninstall your Docker Trusted Registry installation.
keywords: docker, dtr, install, uninstall
title: Uninstall Docker Trusted Registry
---

Uninstalling DTR can be done by simply removing all data associated with each
replica. To do that, you just run the destroy command once per replica:

```none
docker run -it --rm \
  {{ page.docker_image }} destroy \
  --ucp-insecure-tls
```

You will be prompted for the UCP URL, UCP credentials and which replica to
destroy.

To see what options are available in the destroy command, check the
[destroy command reference documentation](../../../reference/cli/destroy.md).

## Where to go next

* [Scale your deployment](../configure/set-up-high-availability.md)
* [Install DTR](index.md)
