---
description: Restore a UCP manager node from a backup
keywords: docker, dtr, cli, restore
title: docker/ucp restore
---

Restore a UCP manager node from a backup

## Usage

```bash

docker run -i --rm \
    --name ucp \
    -v /var/run/docker.sock:/var/run/docker.sock \
    docker/ucp \
    restore [command options] < restore.tar

```

## Description

This command restores the state of this UCP manager node using a tar file
generated by the 'backup' command.

The restore command stops the UCP components running on this node and restores
the data from a backup, overwriting all existing data.

By default the backup tar file is read from stdin. You can also bind-mount the
backup file under /config/backup.tar, and run the restore command with the
'--interactive' flag.

Note:

* Before restoring a manager node, you need to stop all other managers.

* During the restore, UCP is temporarily stopped on this node. This does not
  affect your applications.

* You need to restore using a backup you created for that specific node.


## Options

| Option                    | Description                |
|:--------------------------|:---------------------------|
|`--debug, D`|Enable debug mode|
|`--jsonlog`|Produce json formatted output for easier parsing|
|`--interactive, i`|Run in interactive mode and prompt for configuration values|
|`--id`|The ID of the UCP instance to backup|
|`--passphrase`|Decrypt the tar file with the provided passphrase|
