---
description: Testing contributions
keywords: test, source, contributions, Docker
title: Testing contributions
---

Testing is about software quality, performance, reliability, or product
usability. We develop and test Docker software before we release but we are
human. So, we make mistakes, we get forgetful, or we just don't have enough
time to do everything.

Choose to contribute testing if you want to improve Docker software and
processes. Testing is a good choice for contributors that have experience
in software testing, usability testing, or who are otherwise great at spotting
problems.

# What can you contribute to testing?

* Write a blog about <a href="http://www.appneta.com/blog/automated-testing-with-docker/" target="_blank">how your company uses Docker its test infrastructure</a>.
* Take <a href="http://ows.io/tj/w88v3siv" target="_blank">an online usability test</a> or create a usability test about Docker.
* Test one of<a href="https://github.com/docker-library/official-images/issues"> Docker's official images</a>.
* Test the Docker documentation.


# Test the Docker documentation

Testing documentation is relatively easy:

## Step 1.  Find a page in <a href="/" target="_blank">Docker's documentation</a> that contains a procedure or example you want to test.

You should choose something that _should work_ on your machine. For example,
<a href="/engine/userguide/eng-image/baseimages/" target="_blank">creating
a base image</a> is something anyone with Docker can do. While <a
href="https://kitematic.com/docs/managing-volumes/" target="_blank">changing
volume directories in Kitematic</a> requires a Mac and Docker's Kitematic
installed.

## Step 2.  Try and follow the procedure or recreate the example.

What to look for:

 * Are the steps clearly laid out and identifiable?
 * Are the steps in the right order?
 * Did you get the results the procedure or example said you would?

## Step 3.  If you couldn't complete the procedure or example, file <a href="https://github.com/docker/docker/issues/new" target="_blank">an issue in the Docker repo</a>.

# Test code in the Docker

If you are interested in writing or fixing test code for the Docker project, learn  about  <a href="/opensource/project/test-and-docs/" target="_blank">our test infrastructure</a>.

View <a href="https://goo.gl/JWuQPJ" target="_blank"> our open test issues</a> in Docker for something to work on. Or, create one of your own.
